Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.transport.http
Class HtmlServiceWriter

    java.lang.Object
      org.codehaus.xfire.transport.http.HtmlServiceWriter

    public class HtmlServiceWriter

extends java.lang.Object

Provides a basic HTML description of a `Service`.

Author:
  Arjen Poutsma

Constructor Summary
`HtmlServiceWriter()`

Method Summary
`void` | `write(java.io.OutputStream out, java.util.Collection services)` Writes a HTML list of services to the given stream.
`void` | `write(java.io.OutputStream out, Service service)` Writes a HTML description of a service to the given stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlServiceWriter

    public HtmlServiceWriter()

Method Detail

### write

    public void write(java.io.OutputStream out,
                      java.util.Collection services)
               throws javax.xml.stream.XMLStreamException

  Writes a HTML list of services to the given stream. Each service is described with its name.

  Parameters:
    `out` - the stream to write to
    `services` - the services
  Throws:
    `javax.xml.stream.XMLStreamException` - if an XML writing exception occurs

### write

    public void write(java.io.OutputStream out,
                      Service service)
               throws javax.xml.stream.XMLStreamException

  Writes a HTML description of a service to the given stream.

  Parameters:
    `out` - the stream to write to
    `service` - the service
  Throws:
    `javax.xml.stream.XMLStreamException` - if an XML writing exception occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.